
;TV's server version 3.10
;Copyright (c) 2014 - 2019, Tycho Veltmeijer.
;All rights reserved.

entry main

section '.text' code data readable writeable executable
include 'include/flags.inc' ;this one includes PLUGIN_IDENTIFIER
db PLUGIN_IDENTIFIER
dq __asm_exchange_tables

include_usefile
include 'include/general_version_info.inc'
include 'windows/memfunctions.inc'
include 'windows/register.inc'
include 'include_tvs_server_plugin_control_panel/tvs_server_plugin_control_panel_base.asm'
include 'windows/threadfunctions.inc'
include 'windows/fileFunctions.inc'
include 'windows/user.inc'
include 'windows/modulefunctions.inc'
include 'include_tvs_server_plugin_control_panel/plugin_export_list.inc'
include 'include_tvs_server_plugin_control_panel/readable_writeable_data.inc'

data import
library kernel32,'KERNEL32.DLL',\
        user32,'USER32.DLL'

include 'windows/adapted_KERNEL32.INC'
include 'API\USER32.INC'
end data

align 0x10
data resource
  directory RT_VERSION,versions

  resource versions,\
           1,LANG_NEUTRAL,version

  versioninfo version,VOS__WINDOWS32,VFT_APP,VFT2_UNKNOWN,LANG_ENGLISH+SUBLANG_DEFAULT,0,\
              'FileDescription',<"Control panel", PluginString>,\
              'LegalCopyright',Copyright,\
              'FileVersion',<ProductVersionPrefix, ".", FileVersion>,\
              'ProductVersion',ProductVersion
end data

section '.reloc' fixups data readable discardable