
;TV's server version 3.10
;Copyright (c) 2014 - 2019, Tycho Veltmeijer.
;All rights reserved.



subportedProtocols:
tcpip db 'TVS_SOFTWARE_TCPIP',0
db 0
endSubportedProtocols:

option_groupname db 'TCP/IP',0
protocolName db 'TCP/IP protocol',0

;-linkURL db 'http://www.tvsoftware.nl/',0
;-linkName db "TV's software homepage",0

;----------Option 1
option_port_displayname db 'Port',0

;-- userValue option port
option_port_default_struct:
dd TD_SHORT_INT
dd 0
pointer 80  ;<- default value
;-- userValue end option port

;----------Option keepalive time
option_keepalivetime_displayname db 'Keep-alive time (miliseconds)',0

;-- userValue option port
option_keepalive_time_default_struct:
dd TD_INTEGER
dd 0
pointer 60*1000  ;<- default value (1 minute)
;-- userValue end option keepalive time

;----------Option keepalive interval
option_keepalive_interval_displayname db 'Keep-alive interval (miliseconds)',0

;-- userValue option port
option_keepalive_interval_default_struct:
dd TD_INTEGER
dd 0
pointer 2*1000  ;<- default value (2 seconds)
;-- userValue end option keepalive interval

;----------Option keepalive
option_keepalive_displayname db 'Keep-alive',0

;-- userValue option port
option_keepalive_default_struct:
dd TD_BOOLEAN
dd 0
pointer 1  ;<- default value (true)
;-- userValue end option keepalive

;----------Option TCP v6
option_v6_displayname db 'Use TCP/IP v6',0

;-- userValue option 1
option_v6_default_struct:
dd TD_BOOLEAN
dd 0
pointer 0  ;<- default value
;-- userValue end option TCP v6

;----------Option Author
option_author_displayname db 'Created by',0
author db 'Tycho Veltmeijer',0

;-- userValue option 1
option_author_default_struct:
dd TD_ASCII_STRING
dd 0
pointer author  ;<- default value
;-- userValue end option 3

;----------Option Author
option_version_displayname db 'Version',0
versionStr db PLUGIN_VERSION,0

;-- userValue option 1
option_version_default_struct:
dd TD_ASCII_STRING
dd 0
pointer versionStr  ;<- default value
;-- userValue end option 1


;ControlPanelOptions structure
httpControlPanelOptions:
dd endHttpControlPanelOptions-httpControlPanelOptions ;size
dd 0;reserved
;--member main
dd 8 + (psize*2) ;size
dd GDPD_NAME_IS_INTEGER ;flags
pointer 0 ;name
pointer protocolName ;optionName
;--end main

;member subOptions[option_v6]
suboption1:
dd endSuboption1-suboption1 ;size
dd CPO_GEN_LISTENSESSION_OPTION or GDPD_NAME_IS_INTEGER  or CPO_GEN_LISTENSESSION_READONLY;flags
pointer option_v6 ;name
pointer option_v6_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_v6_default_struct ;userValue
endSuboption1:
;end subOptions[option_v6]

;member subOptions[option_keepalive_displayname]
suboption_keepalive:
dd endSuboption_keepalive-suboption_keepalive ;size
dd CPO_GEN_LISTENSESSION_OPTION or GDPD_NAME_IS_INTEGER;flags
pointer option_keepalive ;name
pointer option_keepalive_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_keepalive_default_struct ;userValue
endSuboption_keepalive:
;end subOptions[option_keepalive_displayname]

;member subOptions[keepaliveinterval]
suboption_keepaliveinterval:
dd endSuboption_keepaliveinterval-suboption_keepaliveinterval ;size
dd CPO_GEN_LISTENSESSION_OPTION or GDPD_NAME_IS_INTEGER ;flags
pointer option_keepalive_interval ;name
pointer option_keepalive_interval_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_keepalive_interval_default_struct ;userValue
endSuboption_keepaliveinterval:
;end subOptions[keepaliveinterval]

;member subOptions[keepalivetime]
suboption_keepalivetime:
dd endSuboption_keepalivetime-suboption_keepalivetime ;size
dd CPO_GEN_LISTENSESSION_OPTION or GDPD_NAME_IS_INTEGER ;flags
pointer option_keepalive_time ;name
pointer option_keepalivetime_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_keepalive_time_default_struct ;userValue
endSuboption_keepalivetime:
;end subOptions[keepalivetime]

;member subOptions[port]
suboption0:
dd endSuboption0-suboption0 ;size
dd CPO_GEN_LISTENSESSION_OPTION or GDPD_NAME_IS_INTEGER or CPO_GEN_LISTENSESSION_READONLY ;flags
pointer option_port ;name
pointer option_port_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_port_default_struct ;userValue
endSuboption0:
;end subOptions[port]





;member subOptions[4]
suboption4:
dd endSuboption4-suboption4 ;size
dd CPO_GEN_PROTOCOL_OPTION or GDPD_NAME_IS_INTEGER  or CPO_GEN_READONLY;flags
pointer option_version ;name
pointer option_version_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_version_default_struct ;userValue
endSuboption4:
;end subOptions[4]

;member subOptions[3]
suboption3:
dd endSuboption3-suboption3 ;size
dd CPO_GEN_PROTOCOL_OPTION or GDPD_NAME_IS_INTEGER  or CPO_GEN_READONLY;flags
pointer option_author ;name
pointer option_author_displayname ;optionName
pointer 0                    ;description
pointer 0 ;groupName
pointer 0 ;iconURL
pointer 0 ;bigIconURL
pointer 0 ;menuURL
pointer option_author_default_struct ;userValue
endSuboption3:
;end subOptions[3]

;member subOptions[2]
;-suboption2:
;-dd endSuboption2-suboption2 ;size
;-dd CPO_SHOW_IN_MENU;flags
;-pointer 0 ;name
;-pointer linkName ;optionName
;-pointer 0                    ;description
;-pointer 0 ;groupName
;-pointer 0 ;iconURL
;-pointer 0 ;bigIconURL
;-pointer linkURL ;menuURL
;-endSuboption2:
;end subOptions[2]
endHttpControlPanelOptions:
;end ControlPanelOptions

psess_TCP pointer ?